package com.ym.mec.biz.dal.dto;

import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @Author Joburgess
 * @Date 2019/9/23
 */
public class StudentVipGroupShowListDto {

    @ApiModelProperty(value = "vip课ID",required = false)
    private Long vipGroupId;

    @ApiModelProperty(value = "vip课名称",required = false)
    private String vipGroupName;

    @ApiModelProperty(value = "单节课时", required = false)
    private Integer singleClassMinutes;

    @ApiModelProperty(value = "缴费截止时间", required = false)
    private java.util.Date paymentExpireDate;

    @ApiModelProperty(value = "线上课课时数", required = false)
    private Integer onlineClassesNum;

    @ApiModelProperty(value = "线下课课时数", required = false)
    private Integer offlineClassesNum;

    @ApiModelProperty(value = "学生购买价格",required = false)
    private BigDecimal price;

    @ApiModelProperty(value = "预计招生人数",hidden = true)
    private Integer expectStudentNum;

    @ApiModelProperty(value = "学生数量", required = false)
    private Integer studentNum;

    @ApiModelProperty(value = "教师名称",required = false)
    private String teacherName;

    @ApiModelProperty(value = "教师头像",required = false)
    private String avatar;

    public String getAvatar() {
        return avatar;
    }

    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }

    public Long getVipGroupId() {
        return vipGroupId;
    }

    public void setVipGroupId(Long vipGroupId) {
        this.vipGroupId = vipGroupId;
    }

    public String getVipGroupName() {
        return vipGroupName;
    }

    public void setVipGroupName(String vipGroupName) {
        this.vipGroupName = vipGroupName;
    }

    public Integer getSingleClassMinutes() {
        return singleClassMinutes;
    }

    public void setSingleClassMinutes(Integer singleClassMinutes) {
        this.singleClassMinutes = singleClassMinutes;
    }

    public Date getPaymentExpireDate() {
        return paymentExpireDate;
    }

    public void setPaymentExpireDate(Date paymentExpireDate) {
        this.paymentExpireDate = paymentExpireDate;
    }

    public Integer getOnlineClassesNum() {
        return onlineClassesNum;
    }

    public void setOnlineClassesNum(Integer onlineClassesNum) {
        this.onlineClassesNum = onlineClassesNum;
    }

    public Integer getOfflineClassesNum() {
        return offlineClassesNum;
    }

    public void setOfflineClassesNum(Integer offlineClassesNum) {
        this.offlineClassesNum = offlineClassesNum;
    }

    public BigDecimal getPrice() {
        return price;
    }

    public void setPrice(BigDecimal price) {
        this.price = price;
    }

    public Integer getExpectStudentNum() {
        return expectStudentNum;
    }

    public void setExpectStudentNum(Integer expectStudentNum) {
        this.expectStudentNum = expectStudentNum;
    }

    public Integer getStudentNum() {
        return studentNum;
    }

    public void setStudentNum(Integer studentNum) {
        this.studentNum = studentNum;
    }

    public String getTeacherName() {
        return teacherName;
    }

    public void setTeacherName(String teacherName) {
        this.teacherName = teacherName;
    }
}
